# ApiUpdateControlPlaneValuesYamlArgs Data Model

Arguments used to get an existing CDP Private Cloud Control Plane's info

Properties
name | data type | description
--- | --- | ---

kubeConfig

string

The content of the kubeconfig file of the kubernetes environment on which the control plane is running Simplified example:
apiVersion: v1
clusters:
- cluster:
certificate-authority-data: abc123
server: https://example-server.domain.com:6443
name: example-cluster.domain.com:6443
contexts:
- context:
cluster: ocp-cluster1
user: admin
name: admin
current-context: admin
kind: Config
preferences: {}
users:
- name: admin
user:
client-certificate-data: abc123
client-key-data: xyz987
For more information on the kubeconfig file, read the documentation here.

remoteRepoUrl | string | The url of the remote repository where the private cloud artifacts are hosted.

Example

    {
      "kubeConfig" : "...",
      "remoteRepoUrl" : "..."
    }